
Foreman - Bug #27589

Rake task to reset SQL sequences

08/12/2019 10:54 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: DB migrations   

Target version: 1.23.0   

Difficulty:  Fixed in Releases: 1.23.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6974

  

Description

For MySQL migration we need a nice way to reset sequence generators. Looks like Rails does provide this.

Related issues:

Related to Foreman - Feature #27035: Drop support for MySQL for both developm... Closed

Associated revisions

Revision 5dd2b1b1 - 09/03/2019 08:52 PM - Lukas Zapletal

Fixes #27589 - add sequence reset task

History

#1 - 08/12/2019 10:54 AM - Lukas Zapletal

- Related to Feature #27035: Drop support for MySQL for both development and production environments added

#2 - 08/12/2019 10:59 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6974 added

#3 - 08/26/2019 07:53 AM - Tomer Brisker

- Target version set to 1.23.0

#4 - 09/03/2019 08:52 PM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#5 - 09/03/2019 09:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset 5dd2b1b16f9b62c189fb552dcefaefeb2aadbe65.

#6 - 09/04/2019 11:10 AM - Tomer Brisker

- Fixed in Releases 1.23.0 added

- Fixed in Releases deleted (1.24.0)
